import { isTerminalRule } from "./generated/ast.js";
import { DefaultNameRegexp } from "../utils/cst-utils.js";
import { isMultilineComment } from "../utils/regexp-utils.js";
import { isCommentTerminal, terminalRegex } from "../utils/grammar-utils.js";
function createGrammarConfig(a) {
	let o = [], s = a.Grammar;
	for (let i of s.rules) isTerminalRule(i) && isCommentTerminal(i) && isMultilineComment(terminalRegex(i)) && o.push(i.name);
	return {
		multilineCommentRules: o,
		nameRegexp: DefaultNameRegexp
	};
}
export { createGrammarConfig };
